It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Hello fellow Linux gamers!

Here you can find informations about ./play.it, a tool building packages for Debian, Arch Linux, Gentoo and any derivative (Ubuntu, Manjaro, Linux Mint, etc.) from your installers for Fallout games.
These packages can be installed easily with your favourite packages manager.

Download links and usage instructions can be found on the following pages:
Fallout
Fallout 2
Fallout Tactics

We hope youʼll enjoy the ease-of-use provided by this tool as much as we enjoy writing and tweaking it ;)

Here you go for more supported games!

-----

Salut camarades Linuxiens !

Vous trouverez ici des informations à propos de ./play.it, un outil construisant des paquets pour Debian, Arch Linux, Gentoo ou nʼimporte quelle distribution dérivée de celles-ci (Ubuntu, Manjaro, Linux Mint, etc.) à partir de vos installateurs pour les jeux Fallout.
Ces paquets sʼinstallent facilement via votre gestionnaire de paquets habituel.

Les liens de téléchargement et les instructions dʼutilisation se trouvent sur les pages suivantes :
Fallout
Fallout 2
Fallout Tactics

Nous espérons que vous apprécierez le confort apporté par cet outil autant que nous apprécions lʼécrire et lʼaméliorer ;)

Pour plus de jeux, rendez-vous par ici !
Post edited October 10, 2020 by vv221
Update

Fallout 2

Full script rewrite based on ./play.it 2.x, adding Arch Linux and Gentoo support amongst other nice features.
Hey!
I'm currently using Fedora 31 and I've tried to install the game with your provided scripts, but the compiled .deb package doesn't seem to support my processor architecture (64-bit).
Is there a way to overcome this problem?
I would love to play Fallout 2 on Linux.

Here's a screenshot of my error:
Attachments:
avatar
KingsleyFox: (…)
It’s surprising to see dpkg on a Fedora ;)
Here is how to enable 32-bit support on 64-bit Debian-based systems:
dpkg --add-architecture i386
I don’t know for sure if it would work for you on Fedora.

Maybe it would be easier to use a tool like alien to convert the .deb packages to .rpm packages.

By the way, we are looking for help to add native RPM support to ./play.it.
I was just trying this, but unfortunately the downloaded installer from Gog does not match the version that the script seems to be built to use . I told it to use it anyway, to see what what happened and of course it gave me an installing error, about the icons directory not being empty. I assume this error was caused by the files not matching in some way?

I can give the exact error message, if needed. Is there any interest in a workaround? Not sure when Gog updated their fallout 2 installer.
avatar
Superdog: (…)
I think I understand the issue : GOG, due to not always being very smart, do not provide the same installers to people who bought Fallout 2 when it was sold by Interplay (this is my case) or now that it is sold by Bethesda (I guess this is your case).

If you can give me the following informations, I should be able to update our support to include the Bethesda installers:
• the installer file name
• the full output of: md5sum your_fallout_installer.exe
• the full output of: innoextract -lL your_fallout_installer.exe

Another option would of course be to send me a gift code for the version of Fallout 2 currently sold on GOG, so I can study this new installer ;)

In any case it should be quite easy to update our script, as I am sure the game data itself has not changed at all. The difference is most probably only in the GOG packaging.
avatar
Superdog: (…)
avatar
vv221: I think I understand the issue : GOG, due to not always being very smart, do not provide the same installers to people who bought Fallout 2 when it was sold by Interplay (this is my case) or now that it is sold by Bethesda (I guess this is your case).

If you can give me the following informations, I should be able to update our support to include the Bethesda installers:
• the installer file name
• the full output of: md5sum your_fallout_installer.exe
• the full output of: innoextract -lL your_fallout_installer.exe

Another option would of course be to send me a gift code for the version of Fallout 2 currently sold on GOG, so I can study this new installer ;)

In any case it should be quite easy to update our script, as I am sure the game data itself has not changed at all. The difference is most probably only in the GOG packaging.
I can definitely give you that info. The file is called: setup_fallout2_2.1.0.18.exe

I don't know if this makes sense but this is what I got:
md5sum setup_fallout2_2.1.0.18.exe
b20e9a133c23bf308b8460272fd32d2b setup_fallout2_2.1.0.18.exe

innoextract -IL setup_fallout2_2.1.0.18.exe
Extracting "Fallout 2" - setup data version 5.5.0 (unicode)
Done.

Honestly I was expecting a wall of text for those commands.
avatar
Superdog: I can definitely give you that info. The file is called: setup_fallout2_2.1.0.18.exe

I don't know if this makes sense but this is what I got:
md5sum setup_fallout2_2.1.0.18.exe
b20e9a133c23bf308b8460272fd32d2b setup_fallout2_2.1.0.18.exe
Exactly what I need ;)
avatar
Superdog: innoextract -IL setup_fallout2_2.1.0.18.exe
Extracting "Fallout 2" - setup data version 5.5.0 (unicode)
Done.

Honestly I was expecting a wall of text for those commands.
Oh, the options for this command are "small L" and "tall L", not "tall i" and "tall L".
This one is going to print a wall of text.

---

I opened an issue on our forge to make sure no information is going to be lost: Fallout 2 - New archives
Post edited June 13, 2020 by vv221
Listing "Fallout 2" - setup data version 5.5.0 (unicode)
- "app/ddraw.ini" (15.9 KiB) - overwritten
- "app/f2_res.ini" (9.63 KiB) - overwritten
- "app/fallout2.cfg" (962 B) - overwritten
- "tmp/gog.ico" [temp] (67.6 KiB) - overwritten
- "app/__support/app/"
- "app/data/critter.dat/"
- "app/data/maps/"
- "app/data/proto/critters/"
- "app/data/proto/items/"
- "commonappdata/galaxyclient/webcache/code$getdlccoregame$#gameid/img/"
- "app/ddraw.ini" (15.9 KiB)
- "app/f2_res.ini" (9.63 KiB)
- "app/fallout2.cfg" (962 B)
- "app/critter.dat" (159 MiB)
- "app/ddraw.dll" (384 KiB)
- "app/f2_res.dat" (636 KiB)
- "app/f2_res.dll" (284 KiB)
- "app/f2_res_change.log" (20.8 KiB)
- "app/f2_res_config.exe" (100 KiB)
- "app/f2_res_patcher.exe" (24 KiB)
- "app/f2_res_readme.rtf" (44.2 KiB)
- "app/fallout2.exe" (1.13 MiB)
- "app/fallout2.ico" (8.28 KiB)
- "app/fallout2hr.exe" (1.13 MiB)
- "app/fallout2launcher.exe" (289 KiB)
- "app/fallout2_high_resolution_patch_4.1.8.exe" (933 KiB)
- "app/falloutclient.exe" (29 KiB)
- "app/faq.txt" (7.72 KiB)
- "app/goggame-1440151285.dll" (248 KiB)
- "app/goggame-1440151285.hashdb" (1.89 KiB)
- "app/goggame-1440151285.ico" (113 KiB)
- "app/goggame-1440151285.info" (971 B)
- "app/licence.txt" (32.3 KiB)
- "app/manual.pdf" (2.1 MiB)
- "app/master.dat" (317 MiB)
- "app/patch000.dat" (2.25 MiB)
- "app/readme.rtf" (4.72 MiB)
- "app/refcard.pdf" (98.9 KiB)
- "app/sfall-readme.txt" (35 KiB)
- "app/webcache.zip" (251 KiB)
- "app/data/worldmap.dat" (9.29 KiB)
- "app/data/art/tiles/grid000.frm" (2.88 KiB)
- "app/extras/scrnset.msg" (3.53 KiB)
- "app/extras/hi-res text translations/russian/scrnset.msg" (3.44 KiB)
- "app/sound/music/01hub.acm" (5.03 MiB)
- "app/sound/music/03wrldmp.acm" (3.76 MiB)
- "app/sound/music/05raider.acm" (4.14 MiB)
- "app/sound/music/07desert.acm" (4.08 MiB)
- "app/sound/music/08vats.acm" (4.01 MiB)
- "app/sound/music/10labone.acm" (4.46 MiB)
- "app/sound/music/12junktn.acm" (4.22 MiB)
- "app/sound/music/13carvrn.acm" (4.81 MiB)
- "app/sound/music/14necro.acm" (4.26 MiB)
- "app/sound/music/16follow.acm" (3.64 MiB)
- "app/sound/music/17arroyo.acm" (3.92 MiB)
- "app/sound/music/18modoc.acm" (3.97 MiB)
- "app/sound/music/19reno.acm" (3.95 MiB)
- "app/sound/music/20car.acm" (1.41 MiB)
- "app/sound/music/21sf.acm" (4.86 MiB)
- "app/sound/music/22vcity.acm" (4.15 MiB)
- "app/sound/music/23world.acm" (1.86 MiB)
- "app/sound/music/24redd.acm" (4.2 MiB)
- "app/sound/music/akiss.acm" (3.77 MiB)
- "app/sound/music/wind1.acm" (133 KiB)
- "app/sound/music/wind2.acm" (117 KiB)
- "tmp/dotnetfx40_full_x86_x64.exe" [temp] (48.1 MiB)
- "tmp/dotnet40eula.txt" [temp] (12.3 KiB)
- "tmp/directx_jun2010_redist.exe" [temp] (95.6 MiB)
- "tmp/directxeula.txt" [temp] (9.92 KiB)
- "tmp/botva2.dll" [temp] (35 KiB)
- "tmp/crcdll.dll" [temp] (69.5 KiB)
- "tmp/gameuxinstallhelper_temp.dll" [temp] (94 KiB)
- "tmp/get_hw_caps.dll" [temp] (76.7 KiB)
- "app/gameuxinstallhelper.dll" (94 KiB)
- "tmp/innocallback.dll" [temp] (63.5 KiB)
- "tmp/md5log.ini" [temp] (7 B)
- "tmp/unrar.dll" [temp] (233 KiB)
- "tmp/14.geneforge-1-5.png" [temp] (1.22 MiB)
- "tmp/05.might-and-magic-6-pack-limited-edition.png" [temp] (1.34 MiB)
- "tmp/09.arcanum_-of-steamworks-and-magick-obscura.png" [temp] (1.38 MiB)
- "tmp/01.baldur's-gate-2-complete.png" [temp] (1.46 MiB)
- "tmp/02.planescape-torment.png" [temp] (1.05 MiB)
- "tmp/01.system-shock-2.png" [temp] (1.05 MiB)
- "tmp/1440151285.ini" [temp] (886 B)
- "tmp/gog_installer_background.jpg" [temp] (101 KiB)
- "tmp/eula.txt" [temp] (0 B)
- "tmp/gog_eula.txt" [temp] (1.83 KiB)
- "tmp/gog.ico" [temp] (67.6 KiB)
- "tmp/background.png" [temp] (4.84 KiB)
- "tmp/bg-bot@2x.jpg" [temp] (1.22 KiB)
- "tmp/bigfail.png" [temp] (1.63 KiB)
- "tmp/bigfail200.png" [temp] (3.41 KiB)
- "tmp/bigok.png" [temp] (3.33 KiB)
- "tmp/bigok200.png" [temp] (12.8 KiB)
- "tmp/bigwarn.png" [temp] (1.58 KiB)
- "tmp/bigwarn200.png" [temp] (3.27 KiB)
- "tmp/bottombar.png" [temp] (340 B)
- "tmp/bottombar200.png" [temp] (938 B)
- "tmp/btn_browse.png" [temp] (4.82 KiB)
- "tmp/btn_browse200.png" [temp] (11.5 KiB)
- "tmp/btn_close.png" [temp] (3.36 KiB)
- "tmp/btn_close200.png" [temp] (9.33 KiB)
- "tmp/btn_continue.png" [temp] (4.18 KiB)
- "tmp/btn_continue200.png" [temp] (11.2 KiB)
- "tmp/btn_exit.png" [temp] (3.76 KiB)
- "tmp/btn_exit200.png" [temp] (8.37 KiB)
- "tmp/btn_launch.png" [temp] (9.96 KiB)
- "tmp/btn_launch200.png" [temp] (21.5 KiB)
- "tmp/btn_md5.png" [temp] (8.73 KiB)
- "tmp/btn_md5200.png" [temp] (12.5 KiB)
- "tmp/btn_options.png" [temp] (5.01 KiB)
- "tmp/btn_options200.png" [temp] (12.5 KiB)
- "tmp/btn_save_as.png" [temp] (5.64 KiB)
- "tmp/btn_save_as200.png" [temp] (15.6 KiB)
- "tmp/btn_skip.png" [temp] (3.23 KiB)
- "tmp/btn_skip200.png" [temp] (8.52 KiB)
- "tmp/btn_start.png" [temp] (4.21 KiB)
- "tmp/btn_start200.png" [temp] (9.59 KiB)
- "tmp/btn_tryagain.png" [temp] (10.5 KiB)
- "tmp/btn_tryagain200.png" [temp] (24.2 KiB)
- "tmp/error.png" [temp] (726 B)
- "tmp/error200.png" [temp] (1.78 KiB)
- "tmp/error_icon.png" [temp] (1.44 KiB)
- "tmp/error_icon200.png" [temp] (2.14 KiB)
- "tmp/eula.png" [temp] (2.32 KiB)
- "tmp/eula200.png" [temp] (10.5 KiB)
- "tmp/eulaaccepted.png" [temp] (2.63 KiB)
- "tmp/eulaaccepted200.png" [temp] (11.4 KiB)
- "tmp/eulashow.png" [temp] (1.47 KiB)
- "tmp/eulashow200.png" [temp] (2.15 KiB)
- "tmp/eula_bkg.png" [temp] (3.52 KiB)
- "tmp/gog.png" [temp] (3.45 KiB)
- "tmp/gog200.png" [temp] (5.29 KiB)
- "tmp/gog200_new.png" [temp] (3.86 KiB)
- "tmp/gog_new.png" [temp] (1.95 KiB)
- "tmp/ok.png" [temp] (1.18 KiB)
- "tmp/ok200.png" [temp] (2.18 KiB)
- "tmp/opensans-regular.ttf" [temp] (212 KiB)
- "tmp/opensans-semibold.ttf" [temp] (216 KiB)
- "tmp/progress_center.png" [temp] (1.12 KiB)
- "tmp/progress_center200.png" [temp] (1.26 KiB)
- "tmp/progress_left.png" [temp] (1.15 KiB)
- "tmp/progress_left200.png" [temp] (792 B)
- "tmp/progress_right.png" [temp] (1.15 KiB)
- "tmp/progress_right200.png" [temp] (828 B)
- "tmp/scroll-handle-bot.png" [temp] (1 KiB)
- "tmp/scroll-handle-top.png" [temp] (1.01 KiB)
- "tmp/trackbar_back.png" [temp] (1.7 KiB)
- "tmp/trackbar_back200.png" [temp] (4.4 KiB)
- "tmp/trackbar_btn.png" [temp] (2 KiB)
- "tmp/trackbar_btn200.png" [temp] (5.65 KiB)
- "tmp/track_center.png" [temp] (1.09 KiB)
- "tmp/track_center200.png" [temp] (1.21 KiB)
- "tmp/track_left.png" [temp] (1.11 KiB)
- "tmp/track_left200.png" [temp] (558 B)
- "tmp/track_right.png" [temp] (1.12 KiB)
- "tmp/track_right200.png" [temp] (557 B)
- "tmp/support.ico" [temp] (61.4 KiB)
Done.
avatar
Superdog: (…)
Thanks, with that I should have enough information to write a script update. I’ll post here as soon as it is ready for testing.
avatar
Superdog: (…)
We have an updated script ready to be tested: Game update: Fallout 2 - New archive

Feedback would of course be welcome, especially as I can not test it myself ;)
Post edited June 14, 2020 by vv221
Similar to the update for Fallout 2, we now have one for the first game too, thanks to information provided by Al Lance: Game update: Fallout - New archives
Hmm, I got this error:

Extracting data from setup_fallout2_2.1.0.18.exe
mv: cannot move '/tmp/play.it/fallout-2.KNykQ/fallout-2_1.3-gog2.1.0.18+20200614.2_i386/usr/local/share/icons/hicolor' to '/tmp/play.it/fallout-2.KNykQ/fallout-2-data_1.3-gog2.1.0.18+20200614.2_all/usr/local/share/icons/hicolor': Directory not empty

Not sure why it would need my icons directory to be empty? The icons are there from other stuff I have installed. I am doing this on a chromebook, so maybe it's impossible? Although I have used other play.it scripts successfully.

I sent you a friend request btw if you really want a copy of the .exe
avatar
Superdog: Extracting data from setup_fallout2_2.1.0.18.exe
mv: cannot move '/tmp/play.it/fallout-2.KNykQ/fallout-2_1.3-gog2.1.0.18+20200614.2_i386/usr/local/share/icons/hicolor' to '/tmp/play.it/fallout-2.KNykQ/fallout-2-data_1.3-gog2.1.0.18+20200614.2_all/usr/local/share/icons/hicolor': Directory not empty
The error is on our side, cf. icons_move_to fails if the destination package already includes icons
I noticed it with the Fallout script and added a workaround, but forgot to do it for the Fallout 2 one.

avatar
Superdog: Not sure why it would need my icons directory to be empty? The icons are there from other stuff I have installed. I am doing this on a chromebook, so maybe it's impossible? Although I have used other play.it scripts successfully.
This is actually a temporary directory used by ./play.it that triggers this error, not your system icons directory, see the /tmp/play.it at the start of the path.

---

This should now be fixed, can you download the updated Fallout 2 script (the URL did not change) and give it another try?
Much progress! It seems to have installed successfully, but now I get a Cannot Initialize Video Mode 640x480 which Google tells me is a not uncommon problem trying to run it on modern systems.